using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Repositorio.Entidades
{
   public class Treinador
    {

       public Treinador()
            {
                Ativo = true;
            }


        public int TreinadorID { get; set; }
        [Required(ErrorMessage = "O Nome é de preenchimento obrigatório!")]
        [Display(Name = "Nome do Treinador")]
        public string Nome { get; set; }
        [Required(ErrorMessage = "O email é obrigatório!")]
        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }
        [Required(ErrorMessage = "O telefone deve ser informado.!")]
        [DataType(DataType.PhoneNumber, ErrorMessage = "Forneça o número do telefone no formato (000) 0000-0000")]
        [Display(Name = "Telefone")]
        public string Telefone { get; set; }

        [Required(ErrorMessage = "O campo Data de Nascimento é obrigatório!")]
        [DisplayFormat(DataFormatString = "{0:dd/MM/yyyy}")]
        [Display(Name = "Data de Nascimento")]
        public DateTime DtNasc { get; set; }
        public virtual ICollection<EventoTreinador> EventoTreinador { get; set; }

        public Boolean Ativo { get; set; } 

      


       // public virtual List<Evento> Eventos { get; set; }

     //   public virtual ICollection<Evento> Eventos { get; set; }
        
    }
}
